# kickstart-mcp

An interactive tutorial for learning Model Context Protocol (MCP). From setting up MCP hosts to building your own servers and clients, we'll guide you through every step of your MCP journey.

## Features

- Interactive tutorials for MCP setup and development
- Step-by-step guides for different MCP hosts (Claude, Cursor, Custom)
- Comprehensive coverage of MCP concepts:
  - Host configuration
  - Server development
  - Client implementation
- Built-in verification for each tutorial step
- Cross-platform support (macOS, Windows)

## Installation

### Quick Start (Recommended)

```bash
uvx kickstart-mcp
```

### Development Installation

```bash
# Clone the repository
git clone https://github.com/nolleh/kickstart-mcp.git
cd kickstart-mcp

# Install dependencies and run
uv run kickstart-mcp
```

## Usage

1. Start the tutorial:
   ```bash
   kickstart-mcp
   ```

2. Follow the interactive prompts to:
   - Choose your preferred MCP host
   - Complete each tutorial step
   - Verify your progress
   - Learn MCP concepts hands-on

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Feedback

Have feedback or suggestions? Visit our [GitHub repository](https://github.com/nolleh/kickstart-mcp) to:
- Open an issue
- Submit a pull request
- Start a discussion
